io.milvus.param.role

## Class RemoveUserFromRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.RemoveUserFromRoleParam.Builder

Enclosing class:
  RemoveUserFromRoleParam

    public static final class RemoveUserFromRoleParam.Builder
    extends java.lang.Object

Builder for `RemoveUserFromRoleParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoveUserFromRoleParam` `build()` Verifies parameters and creates a new `RemoveUserFromRoleParam` instance.
`RemoveUserFromRoleParam.Builder` `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.
`RemoveUserFromRoleParam.Builder` `withUserName(@NonNull java.lang.String userName)` Sets the username.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withUserName

    public RemoveUserFromRoleParam.Builder withUserName(@NonNull
                                                        @NonNull java.lang.String userName)

Sets the username. UserName cannot be empty or null.

Parameters:
  `userName` - userName
Returns:
  `Builder`

#### withRoleName

    public RemoveUserFromRoleParam.Builder withRoleName(@NonNull
                                                        @NonNull java.lang.String roleName)

Sets the roleName. RoleName cannot be empty or null.

Parameters:
  `roleName` - roleName
Returns:
  `Builder`

#### build

    public RemoveUserFromRoleParam build()
                                  throws ParamException

Verifies parameters and creates a new `RemoveUserFromRoleParam` instance.

Returns:
  `RemoveUserFromRoleParam`
Throws:
  `ParamException`